package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBControlTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBControlType and its DTO TBControlTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBControlTypeMapper extends EntityMapper<TBControlTypeDTO, TBControlType> {



    default TBControlType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBControlType tBControlType = new TBControlType();
        tBControlType.setId(id);
        return tBControlType;
    }
}
